/* show info about the team(s) the user will play against
   the current week */
void show_next_opponents(void);

/* try to set each of the first 11 players on his
   favoured position and sort the substitutes by position */
void rearrange_team(void);

/* return the structure that fits the positions of
   the first 11 players */
gint find_appropriate_structure(void);

/* print something like 'Champions' League Semi-finals'.
   probably the ugliest part of the whole program */
void fixture_type_to_string(gint type, gint column, gchar *buf);

/* show the players with team_ids and player_numbers stored in
   'ids' from 0 to 'max' in 'treeview'; the attributes set to 1
   in 'attrib' are shown, the rest omitted */
void show_player_info(GtkWidget *treeview, gint team_id,
		      gint player_number);

void show_live_window(GtkWidget *live_window, gint idx, gint type);

/* weekly update of the fixtures, i.e. new fixtures are
   generated when a round of a cup is over */
void update_fixtures(void);

/* change the scout if the player has chosen so */
void update_scout(void);

/* sort the tables */
void update_ranks(void);

/* weekly update of the transferlist */
void update_transferlist(void);

/* update the finances of the human player's team */
void update_finances(void);

/* update counters like number of weeks the human player's bank account
   is negative etc. */
void update_counters(void);

/* weekly update of the teams.
   make players older (and maybe better /worse).
   for cpu-teams: change the team a bit, replace injured players
   by substitutes, replace old players by newly
   generated ones etc. */
void update_teams(void);

/* calculate the results of a week's games */
void process_week_games(gint week_number);

/* write the history stored in stat into a treeview */
void show_history(season_stat *stat);

/* show a team in 'team browse' mode so that the
   human player can try to buy a player not on
   the transferlist */
void show_team_browse(gint team_id);

/* show the 20 players given in the int arrays */
void show_best_players(gint league, gint best_players[][2]);

/* show the results of last week and the fixtures
   of next week */
void show_preview(gint *fix_indices);



